### Property

# Gtk GLArea:auto-render

since: 4.0

#### Declaration

    property auto-render: gboolean [ read, write ]

#### Description [src]

If set to `TRUE` the ::render signal will be emitted every time the widget draws.

This is the default and is useful if drawing the widget is faster.

If set to `FALSE` the data from previous rendering is kept around and will be used for drawing the widget the next time, unless the window is resized. In order to force a rendering `gtk_gl_area_queue_render()` must be called. This mode is useful when the scene changes seldom, but takes a long time to redraw.

Type: | `gboolean`
Available since: | 4.0

Default value | TRUE
Getter method | `gtk_gl_area_get_auto_render()`
Setter method | `gtk_gl_area_set_auto_render()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no